Workspace
Update interruption limits
PATCH
/workspaces/current/engagementNeedsworkspace.settingsAuthorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Request Body
application/json- body
maxModalsPerSession?|nullminMinutesBetween?integerRange
0 <= value <= 10080maxModalsPerDay?|nullResponse Body
OK
application/json- response
engagement*defaults*Shell
curl -X PATCH 'https://app.cueston.com/api/workspaces/current/engagement' \
-H 'Content-Type: application/json' \
-d '{}'Example Response
JSON
{
"engagement": {
"maxModalsPerSession": 0,
"minMinutesBetween": 0,
"maxModalsPerDay": 0
},
"defaults": {
"maxModalsPerSession": 0,
"minMinutesBetween": 0,
"maxModalsPerDay": 0
}
}Get interruption limitsGET
How many modal-style items (tours, backdrop banners, surveys, auto-opened checklists) a visitor gets per session and day.
Export an end user's dataGET
Everything stored about one of your users (the id your app passes to `Cueston.identify()`) as a JSON file — for data access requests. 60 an hour per workspace.